diff -ru freeciv.orig/ai/aicity.c freeciv/ai/aicity.c
--- freeciv.orig/ai/aicity.c	Sat Nov 20 12:47:42 1999
+++ freeciv/ai/aicity.c	Sun Mar 12 10:24:02 2000
@@ -339,9 +339,9 @@
               if (punit->hp==get_unit_type(punit->type)->hp)
                 punit->hp=get_unit_type(id)->hp;
               notify_player(pplayer,
-			    _("Game: %s upgraded to %s in %s for %d credits."),
+			    _("Game: %s upgraded to %s in %s for %d %s."),
 			    unit_types[punit->type].name, unit_types[id].name,
-			    pcity->name, cost);
+			    pcity->name, cost, get_nation_valuta(pplayer->nation));
               punit->type = id;
               send_unit_info(0, punit, 0);
               send_player_info(pplayer, pplayer);
@@ -468,9 +468,9 @@
         if (punit->hp==get_unit_type(punit->type)->hp)
           punit->hp=get_unit_type(id)->hp;
         notify_player(pplayer,
-		      _("Game: %s upgraded to %s in %s for %d credits."),
+		      _("Game: %s upgraded to %s in %s for %d %s."),
 		      unit_types[punit->type].name, unit_types[id].name,
-		      pcity->name, cost);
+		      pcity->name, cost, get_nation_valuta(pplayer->nation));
         punit->type = id;
         send_unit_info(0, punit, 0);
         send_player_info(pplayer, pplayer);
diff -ru freeciv.orig/client/gui-gtk/citydlg.c freeciv/client/gui-gtk/citydlg.c
--- freeciv.orig/client/gui-gtk/citydlg.c	Fri Mar 10 12:52:49 2000
+++ freeciv/client/gui-gtk/citydlg.c	Sun Mar 12 10:44:25 2000
@@ -1568,8 +1568,11 @@
 
   if(game.player_ptr->economic.gold>=value) {
     my_snprintf(buf, sizeof(buf),
-	    _("Buy %s for %d gold?\nTreasury contains %d gold."), 
-	    name, value, game.player_ptr->economic.gold);
+	    _("Buy %s for %d %s?\nTreasury contains %d %s."),
+	    name, value,
+	    get_nation_valuta(game.player_ptr->nation),
+	    game.player_ptr->economic.gold,
+	    get_nation_valuta(game.player_ptr->nation));
 
     popup_message_dialog(pdialog->shell, /*"buydialog"*/ _("Buy It!"), buf,
 			 _("_Yes"), buy_callback_yes, pdialog,
@@ -1577,8 +1580,11 @@
   }
   else {
     my_snprintf(buf, sizeof(buf),
-	    _("%s costs %d gold.\nTreasury contains %d gold."), 
-	    name, value, game.player_ptr->economic.gold);
+	    _("%s costs %d %s.\nTreasury contains %d %s."),
+	    name, value,
+	    get_nation_valuta(game.player_ptr->nation),
+	    game.player_ptr->economic.gold,
+	    get_nation_valuta(game.player_ptr->nation));
 
     popup_message_dialog(pdialog->shell, /*"buynodialog"*/ _("Buy It!"), buf,
 			 _("Darn"), buy_callback_no, 0, 0);
@@ -1636,10 +1642,12 @@
       value=unit_upgrade_price(game.player_ptr, ut1, ut2);
 
       if(game.player_ptr->economic.gold>=value) {
-	my_snprintf(buf, sizeof(buf), _("Upgrade %s to %s for %d gold?\n"
-	       "Treasury contains %d gold."),
+	my_snprintf(buf, sizeof(buf), _("Upgrade %s to %s for %d %s?\n"
+	       "Treasury contains %d %s."),
 	       unit_types[ut1].name, unit_types[ut2].name,
-	       value, game.player_ptr->economic.gold);
+	       value, get_nation_valuta(game.player_ptr->nation),
+	       game.player_ptr->economic.gold,
+	       get_nation_valuta(game.player_ptr->nation));
 	popup_message_dialog(toplevel, 
 			     /*"upgradedialog"*/_("Upgrade Obsolete Units"), buf,
 			     _("_Yes"),
@@ -1648,10 +1656,12 @@
 			       unitupgrade_callback_no, 0,
 			     NULL);
       } else {
-	my_snprintf(buf, sizeof(buf), _("Upgrading %s to %s costs %d gold.\n"
-	       "Treasury contains %d gold."),
+	my_snprintf(buf, sizeof(buf), _("Upgrading %s to %s costs %d %s.\n"
+	       "Treasury contains %d %s."),
 	       unit_types[ut1].name, unit_types[ut2].name,
-	       value, game.player_ptr->economic.gold);
+	       value, get_nation_valuta(game.player_ptr->nation),
+	       game.player_ptr->economic.gold,
+	       get_nation_valuta(game.player_ptr->nation));
 	popup_message_dialog(toplevel,
 			     /*"upgradenodialog"*/_("Upgrade Unit!"), buf,
 			     _("Darn"), unitupgrade_callback_no, 0,
@@ -2049,9 +2059,10 @@
 	    return;
 	  
 	  pdialog->sell_id=i;
-	  my_snprintf(buf, sizeof(buf), _("Sell %s for %d gold?"), 
+	  my_snprintf(buf, sizeof(buf), _("Sell %s for %d %s?"), 
 		  get_imp_name_ex(pdialog->pcity, i),
-		  improvement_value(i));
+		  improvement_value(i),
+		  get_nation_valuta(game.player_ptr->nation));
 
 	  popup_message_dialog(pdialog->shell, /*"selldialog"*/ _("Sell It!"), buf,
 			       _("_Yes"), sell_callback_yes, pdialog,
diff -ru freeciv.orig/client/gui-gtk/cityrep.c freeciv/client/gui-gtk/cityrep.c
--- freeciv.orig/client/gui-gtk/cityrep.c	Mon Feb 21 12:52:21 2000
+++ freeciv/client/gui-gtk/cityrep.c	Sun Mar 12 10:46:36 2000
@@ -1036,8 +1036,10 @@
       else
 	{
 	  my_snprintf(buf, sizeof(buf),
-		      _("Game: %s costs %d gold and you only have %d gold."),
-		      name,value,game.player_ptr->economic.gold);
+		      _("Game: %s costs %d %s and you only have %d %s."),
+		      name,value, get_nation_valuta(game.player_ptr->nation),
+		      game.player_ptr->economic.gold,
+		      get_nation_valuta(game.player_ptr->nation));
 	  append_output_window(buf);
 	}
   }
diff -ru freeciv.orig/client/gui-gtk/dialogs.c freeciv/client/gui-gtk/dialogs.c
--- freeciv.orig/client/gui-gtk/dialogs.c	Sun Mar  5 12:51:37 2000
+++ freeciv/client/gui-gtk/dialogs.c	Sun Mar 12 10:24:02 2000
@@ -396,16 +396,22 @@
   
   if(game.player_ptr->economic.gold>=punit->bribe_cost) {
     my_snprintf(buf, sizeof(buf),
-		_("Bribe unit for %d gold?\nTreasury contains %d gold."), 
-		punit->bribe_cost, game.player_ptr->economic.gold);
+		_("Bribe unit for %d %s?\nTreasury contains %d %s."), 
+		punit->bribe_cost,
+		get_nation_valuta(game.player_ptr->nation),
+		game.player_ptr->economic.gold,
+		get_nation_valuta(game.player_ptr->nation));
     popup_message_dialog(toplevel, /*"diplomatbribedialog"*/_("Bribe Enemy Unit"), buf,
 			_("_Yes"), diplomat_bribe_yes_callback, 0,
 			_("_No"), diplomat_bribe_no_callback, 0, 0);
   } else {
     my_snprintf(buf, sizeof(buf),
-		_("Bribing the unit costs %d gold.\n"
-		  "Treasury contains %d gold."), 
-		punit->bribe_cost, game.player_ptr->economic.gold);
+		_("Bribing the unit costs %d %s.\n"
+		  "Treasury contains %d %s."), 
+		punit->bribe_cost,
+		get_nation_valuta(game.player_ptr->nation),
+		game.player_ptr->economic.gold,
+		get_nation_valuta(game.player_ptr->nation));
     popup_message_dialog(toplevel, /*"diplomatnogolddialog"*/_("Traitors Demand Too Much!"), buf,
 			_("Darn"), diplomat_bribe_no_callback, 0, 
 			0);
@@ -930,17 +936,23 @@
 
   if(game.player_ptr->economic.gold>=pcity->incite_revolt_cost) {
     my_snprintf(buf, sizeof(buf),
-		_("Incite a revolt for %d gold?\nTreasury contains %d gold."), 
-		pcity->incite_revolt_cost, game.player_ptr->economic.gold);
+		_("Incite a revolt for %d %s?\nTreasury contains %d %s."),
+		pcity->incite_revolt_cost,
+		get_nation_valuta(game.player_ptr->nation),
+		game.player_ptr->economic.gold,
+		get_nation_valuta(game.player_ptr->nation));
    diplomat_target_id = pcity->id;
    popup_message_dialog(toplevel, /*"diplomatrevoltdialog"*/_("Incite a Revolt!"), buf,
 		       _("_Yes"), diplomat_incite_yes_callback, 0,
 		       _("_No"), diplomat_incite_no_callback, 0, 0);
   } else {
     my_snprintf(buf, sizeof(buf),
-		_("Inciting a revolt costs %d gold.\n"
-		  "Treasury contains %d gold."), 
-		pcity->incite_revolt_cost, game.player_ptr->economic.gold);
+		_("Inciting a revolt costs %d %s.\n"
+		  "Treasury contains %d %s."), 
+		pcity->incite_revolt_cost,
+		get_nation_valuta(game.player_ptr->nation),
+		game.player_ptr->economic.gold,
+		get_nation_valuta(game.player_ptr->nation));
    popup_message_dialog(toplevel, /*"diplomatnogolddialog"*/_("Traitors Demand Too Much!"), buf,
 		       _("Darn"), diplomat_incite_no_callback, 0, 
 		       0);
diff -ru freeciv.orig/client/gui-gtk/diplodlg.c freeciv/client/gui-gtk/diplodlg.c
--- freeciv.orig/client/gui-gtk/diplodlg.c	Mon Jan  3 12:50:24 2000
+++ freeciv/client/gui-gtk/diplodlg.c	Sun Mar 12 10:29:31 2000
@@ -520,9 +520,10 @@
 	      find_city_by_id(pclause->value)->name);
       break;
      case CLAUSE_GOLD:
-      my_snprintf(buf, sizeof(buf), _("The %s give %d gold"),
+      my_snprintf(buf, sizeof(buf), _("The %s give %d %s"),
 	      get_nation_name_plural(pclause->from->nation),
-	      pclause->value);
+	      pclause->value,
+	      get_nation_valuta(game.player_ptr->nation));
       break;
      case CLAUSE_MAP: 
       my_snprintf(buf, sizeof(buf), _("The %s give their worldmap"),
diff -ru freeciv.orig/client/gui-gtk/repodlgs.c freeciv/client/gui-gtk/repodlgs.c
--- freeciv.orig/client/gui-gtk/repodlgs.c	Tue Feb 29 12:53:35 2000
+++ freeciv/client/gui-gtk/repodlgs.c	Sun Mar 12 10:24:02 2000
@@ -642,8 +642,9 @@
     }
   }
   if(count)  {
-    my_snprintf(str, sizeof(str), _("Sold %d %s for %d gold"),
-		count, get_improvement_name(i), gold);
+    my_snprintf(str, sizeof(str), _("Sold %d %s for %d %s"),
+		count, get_improvement_name(i), gold,
+		get_nation_valuta(game.player_ptr->nation));
   } else {
     my_snprintf(str, sizeof(str), _("No %s could be sold"),
 		get_improvement_name(i));
@@ -892,11 +893,13 @@
   ut2 = can_upgrade_unittype(game.player_ptr, activeunits_type[row]);
 
   my_snprintf(buf, sizeof(buf),
-	  _("Upgrade as many %s to %s as possible for %d gold each?\n"
-	    "Treasury contains %d gold."),
+	  _("Upgrade as many %s to %s as possible for %d %s each?\n"
+	    "Treasury contains %d %s."),
 	  unit_types[ut1].name, unit_types[ut2].name,
 	  unit_upgrade_price(game.player_ptr, ut1, ut2),
-	  game.player_ptr->economic.gold);
+	  get_nation_valuta(game.player_ptr->nation),
+	  game.player_ptr->economic.gold,
+	  get_nation_valuta(game.player_ptr->nation));
 
   popup_message_dialog(toplevel, /*"upgradedialog"*/_("Upgrade Obsolete Units"), buf,
         	       _("Yes"), upgrade_callback_yes, (gpointer)(activeunits_type[row]),
diff -ru freeciv.orig/client/gui-mui/citydlg.c freeciv/client/gui-mui/citydlg.c
--- freeciv.orig/client/gui-mui/citydlg.c	Sat Feb 26 12:53:31 2000
+++ freeciv/client/gui-mui/citydlg.c	Sun Mar 12 10:24:02 2000
@@ -1051,8 +1051,11 @@
 
   if (game.player_ptr->economic.gold >= value)
   {
-    sprintf(buf, "Buy %s for %d gold?\nTreasury contains %d gold.",
-	    name, value, game.player_ptr->economic.gold);
+    sprintf(buf, "Buy %s for %d %s?\nTreasury contains %d %s.",
+	    name, value,
+	    get_nation_valuta(game.player_ptr->nation),
+	    game.player_ptr->economic.gold,
+	    get_nation_valuta(game.player_ptr->nation));
 
     popup_message_dialog(pdialog->wnd, "Buy It!", buf,
 			 "_Yes", city_buy_yes, pdialog,
@@ -1061,8 +1064,11 @@
   }
   else
   {
-    sprintf(buf, "%s costs %d gold.\nTreasury contains %d gold.",
-	    name, value, game.player_ptr->economic.gold);
+    sprintf(buf, "%s costs %d %s.\nTreasury contains %d %s.",
+	    name, value,
+	    get_nation_valuta(game.player_ptr->nation),
+	    game.player_ptr->economic.gold,
+	    get_nation_valuta(game.player_ptr->nation));
 
     popup_message_dialog(pdialog->wnd, "Buy It!", buf,
 			 "_Darn", city_msg_no, pdialog,
@@ -1092,8 +1098,8 @@
     if (is_wonder(i))
       return 0;
 
-    my_snprintf(buf, sizeof(buf), "Sell %s for %d gold?", get_imp_name_ex(pdialog->pcity, i),
-	    improvement_value(i));
+    my_snprintf(buf, sizeof(buf), "Sell %s for %d %s?", get_imp_name_ex(pdialog->pcity, i),
+	    improvement_value(i), get_nation_valuta(game.player_ptr->nation));
 
     pdialog->sell_id = i;
     popup_message_dialog(pdialog->wnd, "Sell It!", buf,
diff -ru freeciv.orig/client/gui-mui/dialogs.c freeciv/client/gui-mui/dialogs.c
--- freeciv.orig/client/gui-mui/dialogs.c	Mon Feb 21 12:52:23 2000
+++ freeciv/client/gui-mui/dialogs.c	Sun Mar 12 10:24:02 2000
@@ -223,8 +223,11 @@
   
   if(game.player_ptr->economic.gold>=punit->bribe_cost)
   {
-    my_snprintf(buf, sizeof(buf),"Bribe unit for %d gold?\nTreasury contains %d gold.",
-                punit->bribe_cost, game.player_ptr->economic.gold);
+    my_snprintf(buf, sizeof(buf),"Bribe unit for %d %s?\nTreasury contains %d %s.",
+                punit->bribe_cost,
+		get_nation_valuta(game.player_ptr->nation),
+		game.player_ptr->economic.gold,
+		get_nation_valuta(game.player_ptr->nation));
 
     popup_message_dialog(main_wnd, "Bribe Enemy Unit", buf,
                          "Yes", diplomat_bribe_yes, 0,
@@ -232,8 +235,11 @@
                          0);
   } else
   {
-    my_snprintf(buf, sizeof(buf), "Bribing the unit costs %d gold.\nTreasury contains %d gold.",
-                punit->bribe_cost, game.player_ptr->economic.gold);
+    my_snprintf(buf, sizeof(buf), "Bribing the unit costs %d %s.\nTreasury contains %d %s.",
+                punit->bribe_cost,
+		get_nation_valuta(game.player_ptr->nation),
+		game.player_ptr->economic.gold,
+		get_nation_valuta(game.player_ptr->nation));
 
     popup_message_dialog(main_wnd, "Traitors Demand Too Much!", buf,
                          "Darn", message_close,0,
@@ -492,8 +498,11 @@
 
   if(game.player_ptr->economic.gold>=pcity->incite_revolt_cost)
   {
-    my_snprintf(buf, sizeof(buf),"Incite a revolt for %d gold?\nTreasury contains %d gold.",
-            pcity->incite_revolt_cost, game.player_ptr->economic.gold);
+    my_snprintf(buf, sizeof(buf),"Incite a revolt for %d %s?\nTreasury contains %d %s.",
+            pcity->incite_revolt_cost,
+	    get_nation_valuta(game.player_ptr->nation),
+	    game.player_ptr->economic.gold,
+	    get_nation_valuta(game.player_ptr->nation));
             diplomat_target_id = pcity->id;
 
     popup_message_dialog(main_wnd, "Incite a Revolt!", buf,
@@ -503,8 +512,11 @@
 
   } else
   {
-    my_snprintf(buf, sizeof(buf), "Inciting a revolt costs %d gold.\nTreasury contains %d gold.",
-                pcity->incite_revolt_cost, game.player_ptr->economic.gold);
+    my_snprintf(buf, sizeof(buf), "Inciting a revolt costs %d %s.\nTreasury contains %d %s.",
+                pcity->incite_revolt_cost,
+		get_nation_valuta(game.player_ptr->nation)
+		game.player_ptr->economic.gold
+		get_nation_valuta(game.player_ptr->nation));
     popup_message_dialog(main_wnd, "Traitors Demand Too Much!", buf,
                          "Darn", message_close,0,
                          0);
diff -ru freeciv.orig/client/gui-mui/diplodlg.c freeciv/client/gui-mui/diplodlg.c
--- freeciv.orig/client/gui-mui/diplodlg.c	Wed Nov 17 19:49:57 1999
+++ freeciv/client/gui-mui/diplodlg.c	Sun Mar 12 10:30:36 2000
@@ -593,9 +593,10 @@
 	      find_city_by_id(pclause->value)->name);
       break;
      case CLAUSE_GOLD:
-      sprintf(buf, "The %s give %d gold",
+      sprintf(buf, "The %s give %d %s",
 	      get_nation_name_plural(pclause->from->nation),
-	      pclause->value);
+	      pclause->value,
+	      get_nation_valuta(game.player_ptr->nation));
       break;
      case CLAUSE_MAP: 
       sprintf(buf, "The %s give their worldmap",
diff -ru freeciv.orig/client/gui-mui/repodlgs.c freeciv/client/gui-mui/repodlgs.c
--- freeciv.orig/client/gui-mui/repodlgs.c	Fri Feb 11 12:52:21 2000
+++ freeciv/client/gui-mui/repodlgs.c	Sun Mar 12 10:24:02 2000
@@ -524,7 +524,8 @@
 
     if (count)
     {
-      sprintf(str, "Sold %d %s for %d gold", count, get_improvement_name(i), gold);
+      sprintf(str, "Sold %d %s for %d %s", count, get_improvement_name(i), gold,
+      get_nation_valuta(game.player_ptr->nation));
     }
     else
     {
@@ -793,11 +794,13 @@
       char buf[512];
 
       sprintf(buf,
-	      "Upgrade as many %s to %s as possible for %d gold each?\n"
-	      "Treasury contains %d gold.",
+	      "Upgrade as many %s to %s as possible for %d %s each?\n"
+	      "Treasury contains %d %s.",
 	      unit_types[ut1].name, unit_types[ut2].name,
 	      unit_upgrade_price(game.player_ptr, ut1, ut2),
-	      game.player_ptr->economic.gold);
+	      get_nation_valuta(game.player_ptr->nation),
+	      game.player_ptr->economic.gold,
+	      get_nation_valuta(game.player_ptr->nation));
 
       popup_message_dialog(actunit_wnd, "Upgrade Obsolete Units", buf,
 			   "_Yes", actunit_upgrade_yes, entry->type,
diff -ru freeciv.orig/client/gui-xaw/citydlg.c freeciv/client/gui-xaw/citydlg.c
--- freeciv.orig/client/gui-xaw/citydlg.c	Fri Feb 11 12:52:24 2000
+++ freeciv/client/gui-xaw/citydlg.c	Sun Mar 12 10:24:02 2000
@@ -1999,8 +1999,10 @@
  
   if(game.player_ptr->economic.gold>=value) {
     my_snprintf(buf, sizeof(buf),
-		_("Buy %s for %d gold?\nTreasury contains %d gold."), 
-		name, value, game.player_ptr->economic.gold);
+		_("Buy %s for %d %s?\nTreasury contains %d %s."),
+		name, value, get_nation_valuta(game.player_ptr->nation)
+		game.player_ptr->economic.gold,
+		get_nation_valuta(game.player_ptr->nation));
     popup_message_dialog(pdialog->shell, "buydialog", buf,
 			 buy_callback_yes, pdialog, 0,
 			 buy_callback_no, 0, 0,
@@ -2008,8 +2010,10 @@
   }
   else {
     my_snprintf(buf, sizeof(buf),
-		_("%s costs %d gold.\nTreasury contains %d gold."), 
-		name, value, game.player_ptr->economic.gold);
+		_("%s costs %d %s.\nTreasury contains %d %s."),
+		name, value, get_nation_valuta(game.player_ptr->nation),
+		game.player_ptr->economic.gold,
+		get_nation_valuta(game.player_ptr->nation));
     popup_message_dialog(pdialog->shell, "buynodialog", buf,
 			 buy_callback_no, 0, 0,
 			 NULL);
@@ -2069,20 +2073,24 @@
 
       if(game.player_ptr->economic.gold>=value) {
         my_snprintf(buf, sizeof(buf),
-		    _("Upgrade %s to %s for %d gold?\n"
-		      "Treasury contains %d gold."),
+		    _("Upgrade %s to %s for %d %s?\n"
+		      "Treasury contains %d %s."),
 		    unit_types[ut1].name, unit_types[ut2].name,
-		    value, game.player_ptr->economic.gold);
+		    get_nation_valuta(game.player_ptr->nation),
+		    value, game.player_ptr->economic.gold,
+		    get_nation_valuta(game.player_ptr->nation));
         popup_message_dialog(toplevel, "upgradedialog", buf,
                              unitupgrade_callback_yes, (XtPointer)(punit->id), 0,
                              unitupgrade_callback_no, 0, 0,
                              NULL);
       } else {
         my_snprintf(buf, sizeof(buf),
-		    _("Upgrading %s to %s costs %d gold.\n"
-		      "Treasury contains %d gold."),
+		    _("Upgrading %s to %s costs %d %s.\n"
+		      "Treasury contains %d %s."),
 		    unit_types[ut1].name, unit_types[ut2].name,
-		    value, game.player_ptr->economic.gold);
+		    get_nation_valuta(game.player_ptr->nation),
+		    value, game.player_ptr->economic.gold,
+		    get_nation_valuta(game.player_ptr->nation));
         popup_message_dialog(toplevel, "upgradenodialog", buf,
                              unitupgrade_callback_no, 0, 0,
                              NULL);
@@ -2448,9 +2456,10 @@
 	    return;
 	  
 	  pdialog->sell_id=i;
-	  my_snprintf(buf, sizeof(buf), _("Sell %s for %d gold?"), 
+	  my_snprintf(buf, sizeof(buf), _("Sell %s for %d %s?"), 
 		      get_imp_name_ex(pdialog->pcity, i),
-		      improvement_value(i));
+		      improvement_value(i),
+		      get_nation_valuta(game.player_ptr->nation));
 
 	  popup_message_dialog(pdialog->shell, "selldialog", buf,
 			       sell_callback_yes, pdialog, 0,
diff -ru freeciv.orig/client/gui-xaw/cityrep.c freeciv/client/gui-xaw/cityrep.c
--- freeciv.orig/client/gui-xaw/cityrep.c	Fri Feb 11 12:52:24 2000
+++ freeciv/client/gui-xaw/cityrep.c	Sun Mar 12 10:24:02 2000
@@ -442,8 +442,11 @@
       else
 	{
 	  my_snprintf(buf, sizeof(buf),
-		      _("Game: %s costs %d gold and you only have %d gold."),
-		      name,value,game.player_ptr->economic.gold);
+		      _("Game: %s costs %d %s and you only have %d %s."),
+		      name,value,
+		      get_nation_valuta(game.player_ptr->nation),
+		      game.player_ptr->economic.gold,
+		      get_nation_valuta(game.player_ptr->nation));
 	  append_output_window(buf);
 	}
     }
diff -ru freeciv.orig/client/gui-xaw/dialogs.c freeciv/client/gui-xaw/dialogs.c
--- freeciv.orig/client/gui-xaw/dialogs.c	Tue Feb 29 12:53:43 2000
+++ freeciv/client/gui-xaw/dialogs.c	Sun Mar 12 10:24:02 2000
@@ -425,18 +425,25 @@
   
   if(game.player_ptr->economic.gold>=punit->bribe_cost) {
     my_snprintf(buf, sizeof(buf),
-		_("Bribe unit for %d gold?\n"
-		  "Treasury contains %d gold."), 
-		punit->bribe_cost, game.player_ptr->economic.gold);
+		_("Bribe unit for %d %s?\n"
+		  "Treasury contains %d %s."), 
+		punit->bribe_cost,
+		get_nation_valuta(game.player_ptr->nation),
+		game.player_ptr->economic.gold,
+		get_nation_valuta(game.player_ptr->nation));
     popup_message_dialog(toplevel, "diplomatbribedialog", buf,
 			 diplomat_bribe_yes_callback, 0, 0,
 			 diplomat_bribe_no_callback, 0, 0,
 			 NULL);
   } else {
     my_snprintf(buf, sizeof(buf),
-		_("Bribing the unit costs %d gold.\n"
-		  "Treasury contains %d gold."), 
-		punit->bribe_cost, game.player_ptr->economic.gold);
+		_("Bribing the unit costs %d %s.\n"
+		  "Treasury contains %d %s."), 
+		punit->bribe_cost,
+		get_nation_valuta(game.player_ptr->nation),
+		game.player_ptr->economic.gold,
+		get_nation_valuta(game.player_ptr->nation)
+		);
     popup_message_dialog(toplevel, "diplomatnogolddialog", buf,
 			 diplomat_bribe_no_callback, 0, 0,
 			 NULL);
@@ -970,9 +977,13 @@
 
   if(game.player_ptr->economic.gold>=pcity->incite_revolt_cost) {
     my_snprintf(buf, sizeof(buf),
-		_("Incite a revolt for %d gold?\n"
-		  "Treasury contains %d gold."), 
-		pcity->incite_revolt_cost, game.player_ptr->economic.gold);
+		_("Incite a revolt for %d %s?\n"
+		  "Treasury contains %d %s."), 
+		pcity->incite_revolt_cost,
+		get_nation_valuta(game.player_ptr->nation),
+		game.player_ptr->economic.gold,
+		get_nation_valuta(game.player_ptr->nation)
+		);
    diplomat_target_id = pcity->id;
    popup_message_dialog(toplevel, "diplomatrevoltdialog", buf,
 			diplomat_incite_yes_callback, 0, 0,
@@ -980,9 +991,13 @@
 			NULL);
   } else {
    my_snprintf(buf, sizeof(buf),
-	       _("Inciting a revolt costs %d gold.\n"
-		 "Treasury contains %d gold."), 
-	       pcity->incite_revolt_cost, game.player_ptr->economic.gold);
+	       _("Inciting a revolt costs %d %s.\n"
+		 "Treasury contains %d %s."),
+	       pcity->incite_revolt_cost,
+	       get_nation_valuta(game.player_ptr->nation),
+	       game.player_ptr->economic.gold,
+	       get_nation_valuta(game.player_ptr->nation)
+	       );
    popup_message_dialog(toplevel, "diplomatnogolddialog", buf,
 			diplomat_incite_no_callback, 0, 0,
 			NULL);
diff -ru freeciv.orig/client/gui-xaw/diplodlg.c freeciv/client/gui-xaw/diplodlg.c
--- freeciv.orig/client/gui-xaw/diplodlg.c	Mon Jan  3 12:50:31 2000
+++ freeciv/client/gui-xaw/diplodlg.c	Sun Mar 12 10:30:11 2000
@@ -611,9 +611,10 @@
 	      find_city_by_id(pclause->value)->name);
       break;
      case CLAUSE_GOLD:
-      my_snprintf(pdialog->clauselist_strings[i], n, _("The %s give %d gold"),
+      my_snprintf(pdialog->clauselist_strings[i], n, _("The %s give %d %s"),
 	      get_nation_name_plural(pclause->from->nation),
-	      pclause->value);
+	      pclause->value,
+	      get_nation_valuta(game.player_ptr->nation));
       break;
      case CLAUSE_MAP: 
       my_snprintf(pdialog->clauselist_strings[i], n,
diff -ru freeciv.orig/client/gui-xaw/repodlgs.c freeciv/client/gui-xaw/repodlgs.c
--- freeciv.orig/client/gui-xaw/repodlgs.c	Wed Feb 16 12:54:02 2000
+++ freeciv/client/gui-xaw/repodlgs.c	Sun Mar 12 10:24:02 2000
@@ -749,8 +749,9 @@
     }
   }
   if(count)  {
-    my_snprintf(str, sizeof(str), _("Sold %d %s for %d gold"),
-		count, get_improvement_name(i), gold);
+    my_snprintf(str, sizeof(str), _("Sold %d %s for %d %s"),
+		count, get_improvement_name(i), gold,
+		get_nation_valuta(game.player_ptr->nation));
   } else {
     my_snprintf(str, sizeof(str), _("No %s could be sold"),
 		get_improvement_name(i));
@@ -1010,11 +1011,13 @@
 			       activeunits_type[ret->list_index]);
 
     my_snprintf(buf, sizeof(buf),
-	    _("Upgrade as many %s to %s as possible for %d gold each?\n"
-	      "Treasury contains %d gold."),
+	    _("Upgrade as many %s to %s as possible for %d %s each?\n"
+	      "Treasury contains %d %s."),
 	    unit_types[ut1].name, unit_types[ut2].name,
 	    unit_upgrade_price(game.player_ptr, ut1, ut2),
-	    game.player_ptr->economic.gold);
+	    get_nation_valuta(game.player_ptr->nation),
+	    game.player_ptr->economic.gold,
+	    get_nation_valuta(game.player_ptr->nation));
 
     popup_message_dialog(toplevel, "upgradedialog", buf,
 			 upgrade_callback_yes,
diff -ru freeciv.orig/client/packhand.c freeciv/client/packhand.c
--- freeciv.orig/client/packhand.c	Tue Feb 29 12:53:32 2000
+++ freeciv/client/packhand.c	Sun Mar 12 10:24:02 2000
@@ -1383,6 +1383,7 @@
 
   sz_strlcpy(pl->name, p->name);
   sz_strlcpy(pl->name_plural, p->name_plural);
+  sz_strlcpy(pl->valuta, p->valuta);
   sz_strlcpy(pl->flag_graphic_str, p->graphic_str);
   sz_strlcpy(pl->flag_graphic_alt, p->graphic_alt);
   pl->leader_count = p->leader_count;
diff -ru freeciv.orig/common/game.c freeciv/common/game.c
--- freeciv.orig/common/game.c	Wed Feb 16 12:54:04 2000
+++ freeciv/common/game.c	Sun Mar 12 10:11:55 2000
@@ -756,6 +756,8 @@
   sz_strlcpy(game.ruleset.governments, GAME_DEFAULT_RULESET);
   sz_strlcpy(game.ruleset.nations,     GAME_DEFAULT_RULESET);
   sz_strlcpy(game.ruleset.cities,      GAME_DEFAULT_RULESET);
+  sz_strlcpy(game.global_valuta,       GAME_DEFAULT_VALUTA);
+
   game.firepower_factor = 1;
   game.num_unit_types = 0;
   game.num_tech_types = 0;
@@ -983,6 +985,8 @@
     sz_strlcpy(this->name, Q_(this->name_orig));
     sz_strlcpy(this->name_plural_orig, this->name_plural);
     sz_strlcpy(this->name_plural, Q_(this->name_plural_orig));
+    sz_strlcpy(this->valuta_orig, this->valuta);
+    sz_strlcpy(this->valuta, Q_(this->valuta_orig));
   }
   for (i=0; i<game.styles_count; i++) {
     struct citystyle *this = &city_styles[i];
diff -ru freeciv.orig/common/game.h freeciv/common/game.h
--- freeciv.orig/common/game.h	Wed Feb 16 12:54:04 2000
+++ freeciv/common/game.h	Sun Mar 12 10:09:43 2000
@@ -97,6 +97,7 @@
   int playable_nation_count;
   int styles_count;
 
+  char global_valuta[MAX_LEN_NAME];
   struct {
     char techs[MAX_LEN_NAME];
     char units[MAX_LEN_NAME];
@@ -270,6 +271,7 @@
 #define GAME_MAX_OCCUPYCHANCE        100
 
 #define GAME_DEFAULT_RULESET         "default"
+#define GAME_DEFAULT_VALUTA          ""
 
 #define GAME_DEFAULT_SKILL_LEVEL 3      /* easy */
 #define GAME_OLD_DEFAULT_SKILL_LEVEL 5  /* normal; for old save games */
diff -ru freeciv.orig/common/nation.c freeciv/common/nation.c
--- freeciv.orig/common/nation.c	Sat Jan  1 12:49:21 2000
+++ freeciv/common/nation.c	Sun Mar 12 10:24:02 2000
@@ -139,6 +139,17 @@
 }
 
 /***************************************************************
+Returns nation's valuta
+***************************************************************/
+char *get_nation_valuta(Nation_Type_id nation)
+{
+  if (!bounds_check_nation_id(nation, LOG_NORMAL, "get_nation_valuta")) {
+    return "";
+  }
+  return nations[nation].valuta;
+}
+
+/***************************************************************
 Returns pointer to a nation 
 ***************************************************************/
 struct nation_type *get_nation_by_plr(struct player *plr)
diff -ru freeciv.orig/common/nation.h freeciv/common/nation.h
--- freeciv.orig/common/nation.h	Sat Mar  4 12:52:26 2000
+++ freeciv/common/nation.h	Sun Mar 12 10:24:02 2000
@@ -36,12 +36,14 @@
   char *leader_name[MAX_NUM_LEADERS];
   int  leader_is_male[MAX_NUM_LEADERS];
   int city_style;
+  char valuta[MAX_LEN_NAME];
   char **default_city_names;
   struct Sprite *flag_sprite;
 
   /* untranslated copies: */
   char name_orig[MAX_LEN_NAME];
   char name_plural_orig[MAX_LEN_NAME];
+  char valuta_orig[MAX_LEN_NAME];
 
   /* AI hints */
   int attack;               /* c 0 = optimize for food, 2 =  optimize for prod  */
@@ -65,6 +67,7 @@
 Nation_Type_id find_nation_by_name(char *name);
 char *get_nation_name(Nation_Type_id nation);
 char *get_nation_name_plural(Nation_Type_id nation);
+char *get_nation_valuta(Nation_Type_id nation);
 char **get_nation_leader_names(Nation_Type_id nation, int *num);
 int get_nation_leader_sex(Nation_Type_id nation, char *name);
 struct nation_type *get_nation_by_plr(struct player *plr);
diff -ru freeciv.orig/common/packets.c freeciv/common/packets.c
--- freeciv.orig/common/packets.c	Mon Mar  6 12:52:28 2000
+++ freeciv/common/packets.c	Sun Mar 12 10:24:03 2000
@@ -2852,6 +2852,7 @@
 
   cptr=put_string(cptr, packet->name);
   cptr=put_string(cptr, packet->name_plural);
+  cptr=put_string(cptr, packet->valuta);
   cptr=put_string(cptr, packet->graphic_str);
   cptr=put_string(cptr, packet->graphic_alt);
   cptr=put_uint8(cptr, packet->leader_count);
@@ -2883,6 +2884,7 @@
   iget_uint8(&iter, &packet->id);
   iget_string(&iter, packet->name, sizeof(packet->name));
   iget_string(&iter, packet->name_plural, sizeof(packet->name_plural));
+  iget_string(&iter, packet->valuta, sizeof(packet->valuta));
   iget_string(&iter, packet->graphic_str, sizeof(packet->graphic_str));
   iget_string(&iter, packet->graphic_alt, sizeof(packet->graphic_alt));
   iget_uint8(&iter, &packet->leader_count);
diff -ru freeciv.orig/common/packets.h freeciv/common/packets.h
--- freeciv.orig/common/packets.h	Thu Jan 20 12:50:54 2000
+++ freeciv/common/packets.h	Sun Mar 12 10:24:03 2000
@@ -666,6 +666,7 @@
   int id;
   char name[MAX_LEN_NAME];
   char name_plural[MAX_LEN_NAME];
+  char valuta[MAX_LEN_NAME];
   char graphic_str[MAX_LEN_NAME];
   char graphic_alt[MAX_LEN_NAME];
 
diff -ru freeciv.orig/data/default/nations.ruleset freeciv/data/default/nations.ruleset
--- freeciv.orig/data/default/nations.ruleset	Fri Mar 10 12:52:57 2000
+++ freeciv/data/default/nations.ruleset	Sun Mar 12 10:24:24 2000
@@ -25,6 +25,8 @@
 ; flag          = string to look for in client tilespec files for
 ;                 preferred flag icon
 ; flag_alt      = alternate flag icon string, or "-"
+; city_style    = style of cities, actually only European or Classical
+; valuta        = nation's currency
 ;
 ; Next are some hints for AI, as defined in struct player_race
 ; Ask the guy who designed this struct for more explanation :-)
@@ -56,6 +58,7 @@
 flag = "f.italy"
 flag_alt = "-"
 city_style = "Classical"
+valuta = _("lire")
 
 ruler_titles = { "government",      "male_title",      "female_title"
                  "Despotism",       _("Dictator"),     _("Dictator")
@@ -100,6 +103,7 @@
 flag = "f.iraq_old"
 flag_alt = "-"
 city_style = "Classical"
+valuta = _("dinars")
 
 attack=0
 expand=0
@@ -129,6 +133,7 @@
 flag="f.germany"
 flag_alt = "-"
 city_style = "European"
+valuta = _("DM")
 ruler_titles = { "government",      "male_title",      "female_title"
                  "Democracy",       _("Chancellor"),   _("Chancellor")
                  "Fundamentalism",  _("Archbishop"),   _("Archbishop")
@@ -171,6 +176,7 @@
 flag="f.egypt"
 flag_alt = "-"
 city_style = "Classical"
+valuta = _("pounds")
 
 ruler_titles = { "government",      "male_title",      "female_title"
                  "Despotism",       _("Pharaoh"),       _("Pharaoh")
@@ -206,6 +212,7 @@
 flag="f.usa"
 flag_alt = "-"
 city_style = "European"
+valuta = _("dollars")
 ruler_titles = { "government",      "male_title",      "female_title"
                  "Republic",        _("Speaker"),      _("Speaker")
                  "Fundamentalism",  _("Reverend"),     _("Reverend")
@@ -245,6 +252,7 @@
 flag="f.greece"
 flag_alt = "-"
 city_style = "Classical"
+valuta = _("drachmas")
 ruler_titles = { "government",      "male_title",      "female_title"
                  "Democracy",       _("Prime Minister"), _("Prime Minister")
                }
@@ -284,6 +292,7 @@
 flag="f.india"
 flag_alt = "-"
 city_style = "European"
+valuta = _("rupias")
 
 ruler_titles = { "government",      "male_title",      "female_title"
                  "Monarchy",        _("Maharaja"),     _("Maharaja")
@@ -317,6 +326,7 @@
 flag="f.russia"
 flag_alt = "-"
 city_style = "European"
+valuta = _("ruble")
 
 ruler_titles = { "government",      "male_title",      "female_title",
                  "Monarchy",        _("Czar"),         _("Czarina")
@@ -352,6 +362,7 @@
 flag="f.south_africa"
 flag_alt = "f.rwanda"  ; used previously
 city_style = "European"
+valuta = _("kwacha")
 
 attack=2
 expand=1
@@ -380,6 +391,7 @@
 flag="f.france"
 flag_alt = "-"
 city_style = "European"
+valuta = _("franks")
 ruler_titles = { "government",      "male_title",      "female_title"
                  "Democracy",       _("Premier"),      _("Premier")
                  "Fundamentalism",  _("Archbishop"),   _("Archbishop")
@@ -415,6 +427,7 @@
 flag="f.mexico"
 flag_alt = "-"
 city_style = "Classical"
+valuta = _("pesos")
 
 attack=1
 expand=0
@@ -444,6 +457,7 @@
 flag="f.china"
 flag_alt = "-"
 city_style = "Classical"
+valuta = _("yuan")
 ruler_titles = { "government",      "male_title",      "female_title"
                  "Communism",       _("Chairman"),     _("Chairperson")
                }
@@ -489,6 +503,7 @@
 flag="f.england"
 flag_alt = "f.united_kingdom"
 city_style = "European"
+valuta = _("pounds")
 ruler_titles = { "government",      "male_title",      "female_title"
                  "Democracy",       _("Prime Minister"), _("Prime Minister")
                  "Fundamentalism",  _("Lord Protector"), _("Lady Protector")
@@ -530,6 +545,7 @@
 flag="f.mongolia"
 flag_alt = "-"
 city_style = "European"
+valuta = _("tugriks")
 ruler_titles = { "government",      "male_title",      "female_title"
                  "Despotism",       _("Khan"),         _("Khan")
                  "Monarchy",        _("Great Khan"),   _("Great Khan")
@@ -565,6 +581,7 @@
 flag="f.turkey"
 flag_alt = "-"
 city_style = "European"
+valuta = _("lire")
 
 ruler_titles = { "government",      "male_title",      "female_title"
                  "Monarchy",        _("Sultan"),       _("Sultan")
@@ -598,6 +615,7 @@
 flag="f.spain"
 flag_alt = "-"
 city_style = "European"
+valuta = _("pesetas")
 ruler_titles = { "government",      "male_title",      "female_title"
                  "Democracy",       _("Prime Minister"), _("Prime Minister")
                }
@@ -629,6 +647,7 @@
 flag="f.iran"
 flag_alt = "-"
 city_style = "Classical"
+valuta = _("rials")
 
 ruler_titles = { "government",      "male_title",      "female_title"
                  "Monarchy",        _("Shah"),         _("Shah")
@@ -664,6 +683,7 @@
 flag ="f.arab"
 flag_alt = "-"
 city_style = "Classical"
+valuta = _("rials")
 
 ruler_titles = { "government",      "male_title",      "female_title"
                  "Monarchy",        _("Caliph"),       _("Caliph")
@@ -698,6 +718,7 @@
 flag="f.tunisia"
 flag_alt = "-"
 city_style = "Classical"
+valuta = _("dinars")
 
 attack=2
 expand=1
@@ -729,6 +750,7 @@
 flag="f.peru"
 flag_alt = "-"
 city_style = "Classical"
+valuta = _("sucres")
 
 ruler_titles = { "government",      "male_title",      "female_title"
                  "Despotism",       _("Warlord"),      _("Warlord")
@@ -762,6 +784,7 @@
 flag="f.norway"
 flag_alt = "f.denmark"  ; Now used by Danish
 city_style = "European"
+valuta = _("kroner")
 
 attack=2
 expand=2
@@ -797,6 +820,7 @@
 flag="f.poland"
 flag_alt = "-"
 city_style = "European"
+valuta = _("zlote")
 ruler_titles = { "government",      "male_title",      "female_title"
                  "Fundamentalism",  _("Prymas"),       _("Prymas")
                }
@@ -831,6 +855,7 @@
 flag="f.hungary"
 flag_alt = "-"
 city_style = "European"
+valuta = _("forints")
 
 attack=2
 expand=0
@@ -859,6 +884,7 @@
 flag="f.denmark"
 flag_alt = "-"
 city_style = "European"
+valuta = _("kroner")
 ruler_titles = { "government",      "male_title",      "female_title"
                  "Democracy",       _("Prime Minister"), _("Prime Minister")
                }
@@ -893,6 +919,7 @@
 flag="f.netherlands"
 flag_alt = "f.holland"
 city_style = "European"
+valuta = _("guldens")
 ruler_titles = { "government",      "male_title",      "female_title"
                  "Democracy",       _("Prime Minister"), _("Prime Minister")
                }
@@ -937,6 +964,7 @@
 flag="f.sweden"
 flag_alt = "-"
 city_style = "European"
+valuta = _("kronor")
 ruler_titles = { "government",      "male_title",      "female_title"
                  "Democracy",       _("Prime Minister"), _("Prime Minister")
                }
@@ -970,6 +998,7 @@
 flag="f.japan"
 flag_alt = "-"
 city_style = "European"
+valuta = _("yen")
 
 ruler_titles = { "government",      "male_title",      "female_title"
                  "Monarchy",        _("Shogun"),         _("Shogun")
@@ -1003,6 +1032,7 @@
 flag="f.portugal"
 flag_alt = "-"
 city_style = "European"
+valuta = _("escudos")
 
 ruler_titles = { "government",      "male_title",      "female_title"
                  "Democracy",       _("Prime Minister"), _("Prime Minister")
@@ -1041,6 +1071,7 @@
 flag="f.finland"
 flag_alt = "-"
 city_style = "European"
+valuta = _("marks")
 
 ruler_titles = { "government",      "male_title",        "female_title"
                  "Republic",        _("President"),      _("President")
@@ -1091,6 +1122,8 @@
 flag="f.sioux"
 flag_alt = "-"
 city_style = "European"
+; FIXME : Panama
+valuta = _("balboas")
 
 ruler_titles = { "government",      "male_title",      "female_title"
                  "Despotism",       _("Chief"),        _("Chief")
@@ -1131,6 +1164,7 @@
 flag = "f.czech"
 flag_alt = "-"
 city_style = "European"
+valuta = _("koroni")
 
 ; Thane = Vladyka, Prophetess = Vestkyne (Libuse)
 ruler_titles = { "government",      "male_title",      "female_title"
@@ -1183,6 +1217,7 @@
 flag="f.australia"
 flag_alt = "-"
 city_style = "European"
+valuta = _("dollars")
 
 ruler_titles = { "government",      "male_title",      "female_title"
                  "Democracy",       _("Prime Minister"), _("Prime Minister")
@@ -1224,6 +1259,7 @@
 flag="f.wales"
 flag_alt = "f.united_kingdom"
 city_style = "European"
+valuta = _("pounds")
 
 ;names = "Yr Ymerodreath Gymreig"          "empire"            (depotism)
 ;      = "Y Twysysogaeth Cymru"            "principality"      (monarchy)
@@ -1262,6 +1298,7 @@
 flag="f.korea"
 flag_alt = "-"
 city_style = "European"
+valuta = _("won")
 
 attack=0
 expand=1
@@ -1289,6 +1326,7 @@
 flag="f.scotland"
 flag_alt = "f.united_kingdom"
 city_style = "European"
+valuta = _("pounds")
 
 ruler_titles = { "government",      "male_title",        "female_title"
                  "Republic",    _("Speaker"),        _("Speaker")
@@ -1323,6 +1361,7 @@
 flag="f.israel"
 flag_alt = "-"
 city_style = "European"
+valuta = _("shequalim")
 
 ruler_titles = { "government",      "male_title",      "female_title"
                  "Democracy",       _("Prime Minister"), _("Prime Minister")
@@ -1357,6 +1396,7 @@
 flag="f.argentina"
 flag_alt = "-"
 city_style = "European"
+valuta = _("australs")
 
 attack=1
 expand=1
@@ -1385,6 +1425,7 @@
 flag="f.canada"
 flag_alt = "f.united_kingdom"
 city_style = "European"
+valuta = _("dollars")
 ruler_titles = { "government",      "male_title",         "female_title"
                  "Democracy",       _("Prime Minister"),  _("Prime Minister")
                }
@@ -1420,6 +1461,7 @@
 flag="f.ukraine"
 flag_alt = "-"
 city_style = "European"
+valuta = _("hryvny")
 ruler_titles = { "government",      "male_title",         "female_title"
                  "Despotism",     _("Hetman"),          _("Hetman")
                }
@@ -1451,6 +1493,7 @@
 flag="f.lithuania"
 flag_alt = "-"
 city_style = "European"
+valuta = _("lits")
 ruler_titles = { "government",      "male_title",         "female_title"
                  "Monarchy",      _("Great Duke"),      _("Great Duchess")
 }
@@ -1484,6 +1527,8 @@
 flag = "f.kenya"
 flag_alt = "-"
 city_style = "European"
+valuta = _("shilings")
+
 attack = 2
 expand = 2
 civilized = 1
@@ -1512,6 +1557,7 @@
 flag = "f.dunedain"
 flag_alt = "-"
 city_style = "European"
+valuta = _("mithril")
 
 ruler_titles = { "government",      "male_title",      "female_title"
                  "Monarchy",        _("King"),         _("Queen")
@@ -1548,6 +1594,7 @@
 flag="f.vietnam"
 flag_alt = "-"
 city_style = "European"
+valuta = _("dong")
 
 attack=0
 expand=0
@@ -1574,6 +1621,7 @@
 flag="f.thailand"
 flag_alt = "-"
 city_style = "European"
+valuta = _("baht")
 
 attack=1
 expand=2
@@ -1654,6 +1702,7 @@
 flag="f.barbarian"
 flag_alt = "-"
 city_style = "European"
+valuta = _("credits")
 
 attack=0
 expand=0
diff -ru freeciv.orig/server/cityhand.c freeciv/server/cityhand.c
--- freeciv.orig/server/cityhand.c	Thu Feb  3 12:54:42 2000
+++ freeciv/server/cityhand.c	Sun Mar 12 10:24:03 2000
@@ -373,9 +373,10 @@
 
   pcity->did_sell=1;
   notify_player_ex(pplayer, pcity->x, pcity->y, E_IMP_SOLD,
-		   _("Game: You sell %s in %s for %d credits."), 
+		   _("Game: You sell %s in %s for %d %s."), 
 		   get_improvement_name(id), pcity->name,
-		   improvement_value(id));
+		   improvement_value(id),
+		   get_nation_valuta(pplayer->nation));
   do_sell_building(pplayer, pcity, id);
 
   city_refresh(pcity);
@@ -454,8 +455,8 @@
   connection_do_buffer(pplayer->conn);
   notify_player_ex(pplayer, pcity->x, pcity->y, 
                    pcity->is_building_unit?E_UNIT_BUY:E_IMP_BUY,
-		   _("Game: %s bought in %s for %d gold."), 
-		   name, pcity->name, cost);
+		   _("Game: %s bought in %s for %d %s."), 
+		   name, pcity->name, cost, get_nation_valuta(pplayer->nation));
   send_city_info(pplayer, pcity, 1);
   send_player_info(pplayer,pplayer);
   connection_do_unbuffer(pplayer->conn);
diff -ru freeciv.orig/server/diplhand.c freeciv/server/diplhand.c
--- freeciv.orig/server/diplhand.c	Wed Jan 26 12:51:22 2000
+++ freeciv/server/diplhand.c	Sun Mar 12 10:24:03 2000
@@ -162,7 +162,8 @@
 	  found_new_tech(pdest, pclause->value, 0, 1);
 	  break;
 	 case CLAUSE_GOLD:
-	  notify_player(pdest, _("Game: You get %d gold."), pclause->value);
+	  notify_player(pdest, _("Game: You get %d %s."), pclause->value,
+	  get_nation_valuta(pplayer->nation));
 	  pgiver->economic.gold-=pclause->value;
 	  pdest->economic.gold+=pclause->value;
 	  break;
diff -ru freeciv.orig/server/ruleset.c freeciv/server/ruleset.c
--- freeciv.orig/server/ruleset.c	Sat Mar  4 12:52:40 2000
+++ freeciv/server/ruleset.c	Sun Mar 12 10:18:31 2000
@@ -1353,6 +1353,13 @@
 
     sz_strlcpy(pl->name, secfile_lookup_str(&file, "%s.name", sec[i]));
     sz_strlcpy(pl->name_plural, secfile_lookup_str(&file, "%s.plural", sec[i]));
+
+    /* use global_valuta if available */
+    if (game.global_valuta[0])
+        sz_strlcpy(pl->valuta, game.global_valuta);
+    else
+        sz_strlcpy(pl->valuta, secfile_lookup_str(&file, "%s.valuta", sec[i]));
+
     leaders = secfile_lookup_str_vec(&file, &dim, "%s.leader", sec[i]);
     if( dim<1 || dim > MAX_NUM_LEADERS ) {
       freelog(LOG_FATAL, "Nation %s: number of leaders must be 1-%d", pl->name, 
@@ -1888,6 +1895,7 @@
       packet.leader_sex[i] = n->leader_is_male[i];
     }
     packet.city_style = n->city_style;
+    sz_strlcpy(packet.valuta, n->valuta_orig);
 
     for(to=0; to<game.nplayers; to++) {           /* dests */
       if(dest==0 || get_player(to)==dest) {
diff -ru freeciv.orig/server/stdinhand.c freeciv/server/stdinhand.c
--- freeciv.orig/server/stdinhand.c	Wed Feb 16 12:54:16 2000
+++ freeciv/server/stdinhand.c	Sun Mar 12 10:06:37 2000
@@ -279,6 +279,14 @@
     N_("Number of initial advances per player"), "" },
 
 /* Various rules: these cannot be changed once the game has started. */
+  { "valuta", NULL,
+    SSET_RULES, SSET_TO_CLIENT,
+    0, 0, 0,
+    N_("Default currency for all civilizations"),
+    N_("If not set (default), every civilization has own currency"),
+    game.global_valuta, GAME_DEFAULT_VALUTA,
+    sizeof(game.global_valuta) },
+
   { "techs", NULL,
     SSET_RULES, SSET_TO_CLIENT,
     0, 0, 0,
diff -ru freeciv.orig/server/unitfunc.c freeciv/server/unitfunc.c
--- freeciv.orig/server/unitfunc.c	Tue Feb 29 12:53:57 2000
+++ freeciv/server/unitfunc.c	Sun Mar 12 10:24:03 2000
@@ -2349,8 +2349,8 @@
       (num_killed==1) && (is_ground_unit(pkiller) || is_heli_unit(pkiller)) ) {
     ransom = (pplayer->economic.gold >= 100)?100:pplayer->economic.gold;
     notify_player_ex(destroyer, pkiller->x, pkiller->y, E_UNIT_WIN_ATT,
-		     _("Game: Barbarian leader captured, %d gold ransom paid."),
-                     ransom);
+		     _("Game: Barbarian leader captured, %d %s ransom paid."),
+                     ransom, get_nation_valuta(pplayer->nation));
     destroyer->economic.gold += ransom;
     pplayer->economic.gold -= ransom;
     send_player_info(destroyer,0);   /* let me see my new money :-) */
diff -ru freeciv.orig/server/unithand.c freeciv/server/unithand.c
--- freeciv.orig/server/unithand.c	Tue Feb 29 12:53:57 2000
+++ freeciv/server/unithand.c	Sun Mar 12 10:24:03 2000
@@ -130,9 +130,10 @@
   }
   unit_list_iterate_end;
   if (upgraded > 0) {
-    notify_player(pplayer, _("Game: %d %s upgraded to %s for %d credits."), 
+    notify_player(pplayer, _("Game: %d %s upgraded to %s for %d %s."), 
 		  upgraded, unit_types[packet->type].name, 
-		  unit_types[to_unit].name, cost * upgraded);
+		  unit_types[to_unit].name, cost * upgraded,
+		  get_nation_valuta(pplayer->nation));
     send_player_info(pplayer, pplayer);
   } else {
     notify_player(pplayer, _("Game: No units could be upgraded."));
@@ -165,8 +166,8 @@
   }
   cost = unit_upgrade_price(pplayer, punit->type, to_unit);
   if(cost > pplayer->economic.gold) {
-    notify_player(pplayer, _("Game: Insufficient funds, upgrade costs %d."),
-		  cost);
+    notify_player(pplayer, _("Game: Insufficient funds, upgrade costs %d %s."),
+		  cost, get_nation_valuta(pplayer->nation));
     return;
   }
   pplayer->economic.gold -= cost;
@@ -175,8 +176,9 @@
   punit->type = to_unit;
   send_unit_info(0, punit, 0);
   send_player_info(pplayer, pplayer);
-  notify_player(pplayer, _("Game: %s upgraded to %s for %d credits."), 
-		unit_name(from_unit), unit_name(to_unit), cost);
+  notify_player(pplayer, _("Game: %s upgraded to %s for %d %s."), 
+		unit_name(from_unit), unit_name(to_unit), cost,
+		get_nation_valuta(pplayer->nation));
 }
 
 
@@ -663,7 +665,7 @@
   case 0:
     cred = 25;
     notify_player_ex(pplayer, punit->x, punit->y, E_NOEVENT, 
-		     _("Game: You found %d credits."), cred);
+		     _("Game: You found %d %s."), cred, get_nation_valuta(pplayer->nation));
     pplayer->economic.gold += cred;
     break;
   case 1:
@@ -671,13 +673,13 @@
   case 3:
     cred = 50;
     notify_player_ex(pplayer, punit->x, punit->y, E_NOEVENT,
-		     _("Game: You found %d credits."), cred);
+		     _("Game: You found %d %s."), cred, get_nation_valuta(pplayer->nation));
     pplayer->economic.gold+=50;
     break;
   case 4:
     cred = 100;
     notify_player_ex(pplayer, punit->x, punit->y, E_NOEVENT,
-		     _("Game: You found %d credits."), cred); 
+		     _("Game: You found %d %s."), cred, get_nation_valuta(pplayer->nation));
     pplayer->economic.gold += cred;
     break;
   case 5:
@@ -1198,12 +1200,13 @@
     if (pcity->original != pplayer->player_no) {
       notify_player_ex(pplayer, pcity->x, pcity->y, E_NOEVENT, 
 		       _("Game: You conquer %s, your lootings accumulate"
-			 " to %d gold!"), 
-		       pcity->name, coins);
+			 " to %d %s!"), 
+		       pcity->name, coins, get_nation_valuta(pplayer->nation));
       notify_player_ex(cplayer, pcity->x, pcity->y, E_CITY_LOST, 
-		       _("Game: %s conquered %s and looted %d gold"
+		       _("Game: %s conquered %s and looted %d %s"
 			 " from the city."),
-		       pplayer->name, pcity->name, coins);
+		       pplayer->name, pcity->name, coins,
+		       get_nation_valuta(pplayer->nation));
       gamelog(GAMELOG_CONQ, "%s (%s) (%i,%i) conquered by %s",
               pcity->name,
               get_nation_name(game.players[pcity->owner].nation),
@@ -1213,13 +1216,14 @@
     } else {
       notify_player_ex(pplayer, pcity->x, pcity->y, E_NOEVENT, 
 		       _("Game: You have liberated %s!!"
-			 " lootings accumulate to %d gold."),
-		       pcity->name, coins);
+			 " lootings accumulate to %d %s."),
+		       pcity->name, coins, get_nation_valuta(pplayer->nation));
       
       notify_player_ex(cplayer, pcity->x, pcity->y, E_CITY_LOST, 
-		       _("Game: %s liberated %s and looted %d gold"
+		       _("Game: %s liberated %s and looted %d %s"
 			 " from the city."),
-		       pplayer->name, pcity->name, coins);
+		       pplayer->name, pcity->name, coins,
+		       get_nation_valuta(pplayer->nation));
       gamelog(GAMELOG_CONQ, "%s (%s) (%i,%i) liberated by %s",
               pcity->name,
               get_nation_name(game.players[pcity->owner].nation),
@@ -1401,4 +1405,3 @@
     do_paradrop(pplayer,punit,req->x, req->y);
   }
 }
-
